<style type="text/css">
  .order_btn_group .list-inline-item {
    margin-right: 0px !important;
  }

  .order_btn_group .list-inline-item a.btn {
    font-size: 0.9rem;
    font-weight: 400;
  }

  .btn-show-custom-mention {
    font-weight: 400px !important;
    font-size: 10px !important;
  }
</style>
<div class="page-header">
  <h1 class="page-title">
    <a href="<?= cn("$module/add") ?>">
      <span class="add-new" data-toggle="tooltip" data-placement="bottom" data-original-title="<?= lang("add_new") ?>"><i class="fa fa-plus-square text-primary" aria-hidden="true"></i></span>
    </a>
    <?= lang("order_logs") ?>
  </h1>

  <div class="page-options d-flex">
    <ul class="list-inline mb-0 order_btn_group">
      <li class="list-inline-item"><a class="nav-link btn <?= ($order_status == 'all') ? 'btn-info' : '' ?>" href="<?= cn($module . "/log/all") ?>"><?= lang('All') ?></a></li>
      <?php
      $status_array = order_status_array();
      if (!empty($status_array)) {
        foreach ($status_array as $row_status) {
      ?>
          <li class="list-inline-item"><a class="nav-link btn <?= ($order_status == $row_status) ? 'btn-info' : '' ?>" href="<?= cn($module . "/log/" . $row_status) ?>"><?= order_status_title($row_status) ?></a></li>
      <?php }
      } ?>
    </ul>
  </div>
</div>

<div class="row" id="result_ajaxSearch">
  <?php if (!empty($order_logs)) {
  ?>
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <h3 class="card-title"><?= lang("Lists") ?></h3>
          <div class="card-options">
            <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
            <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
          </div>
        </div>
        <div class="table-responsive">
          <table class="table table-hover table-bordered table-vcenter card-table">
            <thead>
              <tr>
                <?php if (!empty($columns)) {
                  foreach ($columns as $key => $row) {
                ?>
                    <th><?= $row ?></th>
                <?php }
                } ?>
              </tr>
            </thead>
            <tbody>
              <?php if (!empty($order_logs)) {
                $i = 0;
                foreach ($order_logs as $key => $row) {
                  $i++;
              ?>
                  <?php
                  if ($currency == 1) {
                    $charge_show = $row->charge / 76;
                  } else {
                    $charge_show = $row->charge;
                  }
                  ?>
                  <tr class="tr_<?= $row->ids ?>">
                    <td class="text-center"><?= $row->id ?></td>

                    <?php
                    if (get_role("admin") || get_role("supporter")) {
                    ?>
                      <td class="text-center"><?= ($row->api_order_id == 0 || $row->api_order_id == -1) ? "" : $row->api_order_id ?></td>

                      <td><?= $row->user_email ?></td>
                    <?php } ?>
                    <td>
                      <div class="title">
                        <h6><?= $row->service_id . " - " . $row->service_name ?></h6>
                      </div>
                      <div>
                        <small>
                          <ul style="margin:0px">
                            <?php
                            if (get_role("admin")) {
                            ?>
                              <li><?= lang("Type") ?>: <?= (!empty($row->api_service_id) && $row->api_service_id != "") ? lang("API") . " (" . $row->api_name . ")" : lang("Manual") ?></li>
                            <?php } ?>
                            <li><?= lang("Link") ?>: <a href="<?= $row->link ?>" target="_blank"><?= truncate_string($row->link, 60) ?></a></li>
                            <li><?= lang("Quantity") ?>: <?= $row->quantity ?></li>
                            <li><?= lang("Amount") ?>: <?php echo $sign_convert; ?><?= (!empty($charge_show)) ? currency_format($charge_show, get_option('currency_decimal', 2), $decimalpoint, $separator) : 0 ?></li>
                            <li><?= lang("Start_counter") ?>: <?= (!empty($row->start_counter)) ? $row->start_counter : "" ?></li>
                            <li><?= lang("Remains") ?>: <?= (!empty($row->remains)) ? $row->remains : "" ?></li>
                            <?php
                            $mention_list = get_list_custom_mention($row);
                            if ($mention_list->exists_list) {
                            ?>
                              <li><a href="<?= cn($module . '/ajax_show_list_custom_mention/' . $row->ids) ?>" class="btn btn-gray btn-sm ajaxModal btn-show-custom-mention"><?= $mention_list->title ?></a></li>
                            <?php } ?>
                          </ul>
                        </small>
                      </div>
                    </td>
                    <td><?= convert_timezone($row->created, "user") ?></td>
                    <td>
                      <?php
                      if ($row->status == "pending" || $row->status == "processing") {
                        $btn_background = "btn-info";
                      } elseif ($row->status == "inprogress") {
                        $btn_background = "btn-orange";
                      } elseif ($row->status == "completed") {
                        $btn_background = "btn-blue";
                      } else {
                        $btn_background = "btn-danger";
                      }
                      ?>
                      <span class="btn round btn-sm <?= $btn_background ?>"><?= order_status_title($row->status) ?></span>
                    </td>

                    <td>
                      <?php
                      $datetime = date_create($row->created);
                      $datetimenow = date_create(date("Y-m-d H:i:s"));
                      $diff = date_diff($datetime, $datetimenow);
                      $curr_diff = $diff->format("%a");
                      $def_diff = get_option('refill_expiry_days', 30);
                      ?>
                      <?php if ($row->is_refill == "yes") { ?>
                        <?php if ($row->refill_status == "no") { ?>
                          <?php if ($row->status == "completed") { ?>
                            <?php if ($curr_diff <= $def_diff) { ?>
                              <form class="form actionForm" action="<?= cn($module . "/refill_order/$row->ids") ?>" data-redirect="<?= cn($module . "/log") ?>" method="POST">
                                <center><button type="submit" class="btn round btn-success">&nbsp;&nbsp;&nbsp;Refill&nbsp;&nbsp;&nbsp;</button></center>
                              </form>
                            <?php } else { ?>
                              <center><button disabled class="btn round btn-danger">Out of Refill Date</button></center>
                            <?php } ?>
                          <?php } else { ?>
                            <center><button type="submit" class="btn round btn-info">Order Pending</button></center>
                          <?php } ?>
                        <?php } elseif ($row->refill_status == "yes") { ?>
                          <center><button disabled class="btn round btn-info">Refill in progress</button></center>
                        <?php } elseif ($row->refill_status == "never") { ?>
                          <center><button disabled class="btn round btn-danger">No Longer Refillable</button></center>
                        <?php } ?>
                      <?php } else { ?>
                      <?php } ?>
                    </td>

                    <?php
                    if (get_role("admin") || get_role("supporter")) {
                    ?>
                      <td class="text-red"><?= (empty($row->note)) ? "" : $row->note ?></td>
                      <td class="text-center">
                        <div class="item-action dropdown">
                          <a href="javascript:void(0)" data-toggle="dropdown" class="icon"><i class="fe fe-more-vertical"></i></a>
                          <div class="dropdown-menu">
                            <a href="<?= cn("$module/log_update/" . $row->ids) ?>" class="dropdown-item ajaxModal"><i class="dropdown-icon fe fe-edit"></i> <?= lang('Edit') ?> </a>
                            <?php
                            if (get_role('admin')) {
                            ?>
                              <a href="<?= cn("$module/ajax_log_delete_item/" . $row->ids) ?>" class="dropdown-item ajaxDeleteItem"><i class="dropdown-icon fe fe-trash"></i> <?= lang('Delete') ?> </a>
                            <?php } ?>
                          </div>
                        </div>
                      </td>
                    <?php } ?>

                  </tr>
              <?php }
              } ?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="col-md-12">
      <div class="float-right">
        <?= $links ?>
      </div>
    </div>
  <?php } else {
    echo Modules::run("blocks/empty_data");
  } ?>
</div>